<?php

// compteur de page générées x fois
$fp = fopen("musiques/compteur_album.txt","r+");
$nbvisites = fgets($fp,11);
$nbvisites++;
fseek($fp,0);
fputs($fp,$nbvisites);
fclose($fp); 

if(isset($_POST['albumid'])) {

// total pour l'up
$total = 0;

foreach($_POST['albumid'] as $info) {

$base_amazon = 'http://www.amazon.fr/gp/product/';
$base_amazon2 = 'http://www.amazon.fr/';
$base_amazon4 = '';

// info pour les strstr	et info + fonction
$url_amazon = $base_amazon.$info['id'];
/*==recuperation extrait==*/
$id2 = $info[id].'</p>';
$id1 = preg_replace('#(.*?)/dp/#is','',$id2);
$id = preg_replace('#/ref=(.*?)</p>#is','',$id1);
$id3 = preg_replace('#/dp/(.*?)</p>#is','',$id2);
$id4 = $id3.'/dp/samples/'.$id.'/ref=dp_tracks_all_1#disc_1';
$url_amazon3 = getContenuURL($base_amazon2.$id4);
$url_amazon4 = getContenuURL($base_amazon2.$info['id']);
/*==fin recuperation extrait==*/

list($album,$erreur) = getInfoAlbumAmazon($url_amazon);

if(isset($album)) {

		// on récupere l'extrait 1
		if( $discTmp = getEpression($url_amazon3,'#<tr class="sampleTracksHeader">(.*?)</tbody></table>#is') )
			{
			$musique = strstr($url_amazon3,'<tr class="sampleTracksHeader">');

			$musique = explode('</tbody></table>',$musique);

			$musique = strip_tags($musique[0]);

		// on agence la liste et on replace les caractères ()
			$album['music'] = str_replace('Écouter','',$musique);
	$album['music'] = str_replace('Disque : 8','<br><br><b><u>Disque : 8</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 7','<br><br><b><u>Disque : 7</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 6','<br><br><b><u>Disque : 6</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 5','<br><br><b><u>Disque : 5</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 4','<br><br><b><u>Disque : 4</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 3','<br><br><b><u>Disque : 3</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 2','<br><br><b><u>Disque : 2</u></b><br>',$album['music']);
	//$album['music'] = str_replace('Disque : 1','<br><br><b><u>Disque : 1</u></b><br>',$album['music']);
	$album['music'] = str_replace('if (browserHasRadio()){','',$album['music']);
	$album['music'] = str_replace('  document.write(\'','',$album['music']);
	$album['music'] = str_replace('\');','',$album['music']);
	$album['music'] = str_replace('}','',$album['music']);	
	$album['music'] = str_replace("\n",'',$album['music']);
	$album['music'] = str_replace("\r",'',$album['music']);
	$album['music'] = preg_replace('/\s\s+/', ' ', $album['music']);
    $album['music'] = preg_replace('#([0-9]+)\.#','<br /><img src="'.$url_default.'images/track.png" alt="" /> ',$album['music']);
	$album['music'] = '<br><br><b><u>Disque : 1</u></b><br>'.$album['music'];
}elseif( $discTmp = getEpression($url_amazon4,'#<span class="headerTitle">(.*?)</span>#is') )
         	{ 
			$musique = strstr($url_amazon4,"<div id='albumTrackList' class='trackList' style='_width:100%;margin-left:0px'>");
			$musique = explode('</div></div>',$musique);
			$musique = $musique[0];
			// on agence la liste et on replace les caractères (prez)
			$album['music'] = str_replace('Écouter','',$musique);
	$album['music'] = preg_replace('#<font size="(.*?)"><b>#is','<b><u>',$album['music']);
	$album['music'] = preg_replace('#</b></font>#is','</u></b>',$album['music']);
	$album['music'] = preg_replace('#<table width="100%" border="0" cellspacing="0" cellpadding="0">(.*?)<table width="100%" cellspacing="1" cellpadding="0" border="0" bgcolor="\#999999">#is','',$album['music']);
	$album['music'] = preg_replace('#<script language="VBScript">(.*?)</script>#is','',$album['music']);
	$album['music'] = preg_replace('#<script type="text/javascript">(.*?)</script>#is','',$album['music']);
	$album['music'] = preg_replace('#<noscript>(.*?)</noscript>#is','',$album['music']);
	$album['music'] = preg_replace('#<script language="Javascript1.1" type="text/javascript">(.*?)<div class="trackList" id="albumTrackList" style="margin-left: 0px; width: 95%">#is','',$album['music']);
	$album['music'] = preg_replace('#<style type="text/css">(.*?)</style>#is','',$album['music']);
	$album['music'] = preg_replace('#<script language="JavaScript">(.*?)</script>#is','',$album['music']);
	$album['music'] = preg_replace('#<noscript>(.*?)</noscript>#is','',$album['music']);
	$album['music'] = preg_replace('#<tr class="columnHeader">(.*?)</tr>#is','',$album['music']);
	$album['music'] = preg_replace('#<td class="priceCol">(.*?)</tr>#is','',$album['music']);
	$album['music'] = preg_replace('#<td class="titleCol"><a href="[^"]+">#is',' - ',$album['music']);
	$album['music'] = preg_replace('#<a href="[^"]+">#is','',$album['music']);
	$album['music'] = preg_replace('#<tr class=\'rowEven\'><td class="playCol">(.*?)</td>#is','',$album['music']);
	$album['music'] = preg_replace('#<tr class=\'rowOdd\'><td class="playCol">(.*?)</td>#is','',$album['music']);
	$album['music'] = preg_replace('#<table width="100%" cellspacing="1" cellpadding="1">(.*?)</div>#is','',$album['music']);
	$album['music'] = str_replace(array('</td>','</table>',"<div id='albumTrackList' class='trackList' style='_width:100%;margin-left:0px'>",'<p/>','<tr>','<td>','<table width="100%" cellspacing="1" cellpadding="4" border="0" bgcolor="#ffffff">','<td class="runtimeCol">','</tr>','</div>',),array('','','','','','','',' -','','',),$album['music']);
	$album['music'] = str_replace('</a>','',$album['music']);
	$album['music'] = preg_replace('#<td class="titleCol">&nbsp;#is','<br /><img src="'.$url_default.'images/track.png" alt="" /> ',$album['music']);
	$album['music'] = preg_replace('#<td class="titleCol">#is','<br /><img src="'.$url_default.'images/track.png" alt="" /> ',$album['music']);			
	$album['music'] = str_replace("\n",'',$album['music']);
	$album['music'] = str_replace("\r",'',$album['music']);
	$album['music'] = preg_replace('/\s\s+/', ' ', $album['music']);
	// on récupere l'extrait dans cadre 3
		}elseif( $discTmp = getEpression($url_amazon3,'#<table cellspacing="1" cellpadding="3" border="0"><tbody>(.*?)</tbody></table>#is') )
			{
			$musique = strstr($url_amazon3,'<table cellspacing="1" cellpadding="3" border="0"><tbody>');
			$musique = explode('</tbody></table>',$musique);
			$musique = strip_tags($musique[0]);
			// on agence la liste et on replace les caractères (prez)
					$album['music'] = str_replace('Écouter','',$musique);
	$album['music'] = str_replace('Disque : 8','<br><br><b><u>Disque : 8</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 7','<br><br><b><u>Disque : 7</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 6','<br><br><b><u>Disque : 6</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 5','<br><br><b><u>Disque : 5</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 4','<br><br><b><u>Disque : 4</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 3','<br><br><b><u>Disque : 3</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 2','<br><br><b><u>Disque : 2</u></b><br>',$album['music']);
	$album['music'] = str_replace('Disque : 1','<br><br><b><u>Disque : 1</u></b><br>',$album['music']);
	$album['music'] = str_replace('<tr class="listRowEven">','',$album['music']);
	$album['music'] = str_replace('<tr class="listRowOdd">','',$album['music']);
	$album['music'] = str_replace('<td>','',$album['music']);
	$album['music'] = str_replace('</tr>','',$album['music']);
	$album['music'] = preg_replace('#([0-9]+)\.#','<br /><img src="'.$url_default.'images/track.png" alt="" /> ',$album['music']);
	$album['music'] = str_replace("\n",'',$album['music']);
	$album['music'] = str_replace("\r",'',$album['music']);
	$album['music'] = preg_replace('/\s\s+/', ' ', $album['music']);
	// Sinon, on affiche Aucune information sur Amazon.fr
			}else{
					$album['music'] = 'Aucune information sur Amazon.fr';
					}
	// fin nouveau code MP3
	// sinon
	}else{}

	echo '<center>';
	
	// si case center cocher
	if ($info[center] == '1'){
	$center = '<center>';
	$center2 = '</center>';
	$center_ = '[center]';
	$center_2 = '[/center]';
	// sinon
	}else{}

	// si case couleur cocher
	if ($info[selectcolor] == '1'){
	$color1 = '<font color="'.$info['color'].'">';
	$color_1 = '</font>';
	$color2 = '[color='.$info['color'].']';
	$color_2 = '[/color]';
	// sinon
	}else{}

	// si case quote cocher
	if ($info[quote] == '1'){
	$quote = '<div style="width:97%;background-color:#DFDFDF; border:#C1C1C1 3px solid;">';
	$quote2 = '</div>';
	$quote_ = '[quote]';
	$quote_2 = '[/quote]';
	// sinon
	}else{}
	
	// si case lien remerciement cocher
	if ($info[remerci] == '1'){
	$merci = '<div style="padding-left:20px; width:97%"><a href=' . $info[remerciement] . ' target="_blank"><img src="'.$url_default.'images/merci.png" /></a></div><br />';
	$merci2 = '[url=' . $info[remerciement] . '][img]'.$url_default.'images/merci.png[/img][/url]'."\n\n";
	// sinon
	}else{}
	
	// réécriture des decoupages
	$decoupage1 = '<img src="'.$url_default.'images/decoupage/'.$info[decoupage].'-1.png" />';
	$decoupage2 = '[img]'.$url_default.'images/decoupage/'.$info[decoupage].'-1.png[/img]';

	// réécriture des hébergeur
	$heberg1 = '<img src="'.$url_default.'images/heberg/'.$info[tag].'.png" />';
	$heberg2 = '[img]'.$url_default.'images/heberg/'.$info[tag].'.png[/img]';

	// réécriture des formats
	$format1 = '<img src="'.$url_default.'images/format-music/'.$info[format].'.png" />';
	$format2 = '[img]'.$url_default.'images/format-music/'.$info[format].'.png[/img]';
	
	echo $center.'<font size="4" color="red"><b>..:: '.$info['artiste'].' - '.$album['titre'].' ::..</b></font><br /><br />';

	echo '<img src="'.$album['image'].'" /><br /><br />';
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/info_album.png"/><br /><br />';

	echo '<div style="padding-left:20px; width:97%">';
	echo $color1.'<b>Artiste(s) :</b> '.$info['artiste'].'<br />';
	echo '<b>Date :</b> '.$album['date'].'<br />';
	echo '<b>Label :</b> '.$album['label'].'<br />';
	echo '<b>ASIN :</b> '.$album['asin'].'<br />';
	echo '<b>Nombre de disques :</b> '.$album['disc'].'<br />';
	echo '<b>Note :</b> <img src="'.$url_default.'images/note/s_star'.$album['Note'].'.png"<br />'.$color_1;
	echo '</div><br />';
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/detail_album.png"/><br /><br />';
	
	// ajouter MP3
	// on récupere les nouveau extrait mp3

	// on récupere les nouveau extrait mp3
	echo $color1.'<i> '.$album['music'].'</i><br /><br />'.$color_1;
	// fin nouveau code MP3
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/up_album.png"/><br /><br />';

	// formatage de la taille et nbre de fichier

	// Calcul et affichage de l'unité
	$info[calcul1] = $info[nbfichiers] * $info[taillefichiers];
	// Affiche si le champ nbfichiers2 est rempli
	if (empty ($info['nbfichiers2']) ) 
	{}else{ 
	$total2 = ' et ' . $info[nbfichiers2] . ' x ' . $info[taillefichiers2] . '&nbsp;Mo';
	$info[calcul2] = $info[nbfichiers2] * $info[taillefichiers2];}
	// Calcul total du UP
	$info[tailletotale] = $info[calcul1] + $info[calcul2];
	// Fonction pour Afficher Ko, Mo ou Go
	if
		($info[tailletotale] < 1 ){
		$info[tailletotales] = ($info[tailletotale]*1024);
		$info[affichage] = number_format($info[tailletotales], 0, ",", " ");
		$info[unites] = $info[affichage]." Ko";}
		elseif
		($info[tailletotale] >= 1024 ){
		$info[tailletotales] = ($info[tailletotale]/1024);
		$info[affichage] = number_format($info[tailletotales], 2, ",", " ");
		$info[unites] = $info[affichage]." Go";}
		elseif
		($info[tailletotale] <= 999 ){
		$info[tailletotales] = ($info[tailletotale]*1);
		$info[affichage] = number_format($info[tailletotales], 2, ",", " ");
		$info[unites] = $info[affichage]." Mo";}
		else{}

	// fin du formatage de la taille et nbre de fichier

	echo '<div style="padding-left:20px; width:97%">';
	echo $color1.'<b>Hébergeur :</b> '.$heberg1.'<br /><br />';
	echo '<b>Uploader :</b> '.$info[uploader].'<br /><br />';
	echo '<b>Info sur la release :</b> '.$info[inforelease].'<br /><br />';
	echo '<b>Format :</b> '.$format1.'<br /><br />';
	echo '<b>Présence des Covers :</b> '.$info[covers].'<br /><br />';
	echo '<b>Genre :</b> '.$info[genre].'<br /><br />';
	echo '<b>Découpage :</b> '.$decoupage1.'<br />';
	echo '<br />';
	echo '<b><u>Nombre de fichiers et tailles</u> :</b> <i>' . $info[nbfichiers] . ' x ' . $info[taillefichiers] . '&nbsp;Mo'.$total2.'</i><br />';
	echo '<br />';
	echo '<font color="red"><b><u>Taille totale</u> :</b></font> <i>'.$info[unites].'</i><br /><br />'.$color_1;
        echo '</div><br />'; 
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/dl_album.png"/><br /><br />';
	
	echo '<div style="padding-left:20px; width:95%">
	      <div style="background-color:transparent; border:#0066FF 1px dashed">';
		  
	// reecriture des url	  
	$lien = explode ("\n",$info[lien]);
    
    // si case hide cocher
	if ($info[hide] == '1'){

	$hide = '<DL class=hidebox><DT class=unhide>HIDE: ON<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.''.trim($link).'<br>'.$quote2;
    }
	$hide .= '</DD></DL>';
	// sinon
	}else{
	$hide = '<DL class=hidebox><DT class=hide>HIDE: OFF<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.''.trim($link).'<br>'.$quote2;
	}
	$hide .= '</DD></DL>';
	}

	echo $hide;
  
		  
	echo '</div></div><br><div style="padding-left:20px; width:97%">';
	echo $color1.'<b>Mot de passe :</b> '.$info[mdp].'<br /><br />'.$color_1;
	
		$total += $info[tailletotale];
	echo '<div style="padding-left:20px; width:97%">';
	echo '<font color="red"><b>Total du post:</b> '.$total.',00 Mo</font><br /><br />';
	echo '</div><br />';
	echo $sample.$merci;
	echo '<div style="padding-left:20px; width:97%">';
	echo '<b><a href="'.$url_default.'index.php"><img src="'.$url_default.'images/generateur.png" alt="'.$team.'" /></a></b>';
	echo '</div>'.$center2;

	echo '</center>';


// BBCode pour PhpBB & PunBB 
echo '<br /><br />';
echo '<p class="titre" style="margin: 0px 0px 0px 10px;"><img src="images/fleche.gif" alt="fleche" width="31" height="12" />BBCode à coller dans votre message</p>';

echo '<center>';
echo '<fieldset class="fieldset">';
echo '<legend class="legend"><b>PhpBB, PunBB, IPB & VBULLETIN Section Album</b></legend><center>';
echo '<input name="texttag" type="text" id="texttag" value="'.$info['artiste'].' - '.$album['titre'].' ('.$info[genre].')" size="70" onclick="this.select()"><br><br>';
echo '<textarea name="textpost" cols="85" rows="10" onclick="this.select()">';


	echo $center_.'[color=red][b]..:: '.$info['artiste'].' - '.$album['titre'].' ::..[/b][/color]'."\n\n";

	echo '[img]'.$album['image'].'[/img]'."\n\n";

	echo '[img]'.$url_default.'img_cat/'.$info['style'].'/info_album.png[/img]'."\n\n";
	
	echo $color2.'[b][u]Artiste(s)[/u] :[/b] [i]'.$info['artiste'].'[/i]' ."\n";
	echo '[b][u]Date[/u] :[/b] [i]'.$album['date'].'[/i]' ."\n";
	echo '[b][u]Label[/u] : [/b] [i]'.$album['label'].'[/i]' ."\n";
	echo '[b][u]ASIN[/u] : [/b] [i]'.$album['asin'].'[/i]' ."\n";
	echo '[b][u]Nombre de disques[/u] : [/b] [i]'.$album['disc'].'[/i]' ."\n";
	echo '[b][u]Note[/u] : [/b] [img]'.$url_default.'images/note/s_star'.$album['Note'].'.png[/img]'.$color_2."\n\n";
	
	echo '[img]'.$url_default.'img_cat/'.$info['style'].'/detail_album.png[/img]'."\n\n";
	
	/// on agence la liste et on replace les caractères (forum www..com )

				 $album['music2'] = $album['music'];
				 $album['music2'] = str_replace("\n","",$album['music2']);
				 
				 $album['music2'] = str_replace(array('<br />','<br>','<b>','</b>','<u>','</u>','<font size="+1">','</font>','<img src="','" alt="" />'),array("\n","\r","[b]","[/b]","[u]","[/u]","","","[img]","[/img]"),$album['music2']);


			echo $color2.'[i]'.$album['music2'].'[/i]'.$color_2."\n\n";
	// fin	

    echo '[img]'.$url_default.'img_cat/'.$info['style'].'/up_album.png[/img]'."\n\n";
	
	echo $color2.'[b][u]Hébergeur[/u] : [/b] [i]'.$heberg2.'[/i]' ."\n\n";
	echo '[b][u]Uploader[/u] : [/b] [i]'.$info[uploader].'[/i]' ."\n\n";
	echo '[b][u]Info sur la release[/u] :[/b] [i]'.$info[inforelease].'[/i]'. "\n\n";
	echo '[b][u]Genre[/u] : [/b] [i]' . $info[genre] . '[/i]' ."\n\n";
	echo '[b][u]Format[/u] : [/b] [i]'.$format2.'[/i]' ."\n\n";
	echo '[b]Présence des Covers :[/b] [i]'.$info[covers].'[/i]' ."\n\n";
	echo '[b][u]Découper avec[/u] : [/b] [i]'.$decoupage2.'[/i]' ."\n\n";
        echo '[b][u]Nombre de fichiers et tailles[/u] : [/b] [i]'.$info[nbfichiers].' x '.$info[taillefichiers].' Mo '.$total2.'[/i]' ."\n\n";
	echo '[color=red][b]Total totale:[/b][/color] [i]'.$info[unites].'[/i]'.$color_2. "\n\n";
	
	echo '[img]'.$url_default.'img_cat/'.$info['style'].'/dl_album.png[/img]'."\n\n";
	
	// reecriture des url	  
	$liens = explode ("\n",$info[lien]);
    // si case hide cocher
	if ($info[hide] == '1'){ 

	$hides = '[hide]'."\n";
	foreach ($liens as $links) {
	$hides .= $quote_.''.trim($links).'' .$quote_2."\n";
	}
	$hides .= '[/hide]'."\n";
    // sinon
	}else{
    foreach ($liens as $links) {

	$hides .= $quote_.''.trim($links).'' .$quote_2."\n";
	}
	$hides .= "\n";
	}

	echo $hides."\n";
	
	echo $color2.'[b][u]Mot de pass[/u] : [/b] [i]' . $info[mdp] . '[/i]' .$color_2."\n\n";
    	echo '[color=red][b]Total du post: '.$total.',00 Mo[/b][/color]'."\n\n";
	echo $merci2;
	echo '[url='.$url_default.'index.php][img]'.$url_default.'images/generateur.png[/img][/url]'.$center_2;

echo '</textarea></center>';
echo '</fieldset>';
echo '</center>';

echo '<center>';
echo '<fieldset class="fieldset">';
echo '<legend class="legend"><b>HTML & Blog Section Album</b></legend><center>';
echo '<input name="texttag" type="text" id="texttag" value="'.$info['artiste'].' - '.$album['titre'].' ('.$info[genre].')" size="70" onclick="this.select()"><br><br>';
echo '<textarea name="textpost" cols="85" rows="10" onclick="this.select()">';

	echo $center.'<font size="4" color="red"><b>..:: '.$info['artiste'].' - '.$album['titre'].' ::..</b></font><br /><br />';

	echo '<img src="'.$album['image'].'" /><br /><br />';
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/info_album.png"/><br /><br />';

	echo '<div style="padding-left:20px; width:97%">';
	echo $color1.'<b>Artiste(s) :</b> '.$info['artiste'].'<br />';
	echo '<b>Date :</b> '.$album['date'].'<br />';
	echo '<b>Label :</b> '.$album['label'].'<br />';
	echo '<b>ASIN :</b> '.$album['asin'].'<br />';
	echo '<b>Nombre de disques :</b> '.$album['disc'].'<br />';
	echo '<b>Note :</b> <img src="'.$url_default.'images/note/s_star'.$album['Note'].'.png"<br />'.$color_1;
	echo '</div><br />';
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/detail_album.png"/><br /><br />';
	
	// ajouter MP3
	// on récupere les nouveau extrait mp3

	// on récupere les nouveau extrait mp3
	echo $color1.'<i> '.$album['music'].'</i><br /><br />'.$color_1;
	// fin nouveau code MP3
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/up_album.png"/><br /><br />';

	echo '<div style="padding-left:20px; width:97%">';
	echo $color1.'<b>Hébergeur :</b> '.$heberg1.'<br /><br />';
	echo '<b>Uploader :</b> '.$info[uploader].'<br /><br />';
	echo '<b>Info sur la release :</b> '.$info[inforelease].'<br /><br />';
	echo '<b>Format :</b> '.$format1.'<br /><br />';
	echo '<b>Présence des Covers :</b> '.$info[covers].'<br /><br />';
	echo '<b>Genre :</b> '.$info[genre].'<br /><br />';
	echo '<b>Découpage :</b> '.$decoupage1.'<br />';
	echo '<br />';
	echo '<b><u>Nombre de fichiers et tailles</u> :</b> <i>' . $info[nbfichiers] . ' x ' . $info[taillefichiers] . '&nbsp;Mo'.$total2.'</i><br />';
	echo '<br />';
	echo '<font color="red"><b><u>Taille totale</u> :</b></font> <i>'.$info[unites].'</i><br /><br />'.$color_1;
        echo '</div><br />'; 
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/dl_album.png"/><br /><br />';
	
	echo '<div style="padding-left:20px; width:95%">
	      <div style="background-color:transparent; border:#0066FF 1px dashed">';
		  
	// reecriture des url	  
	$lien = explode ("\n",$info[lien]);
    
    // si case hide cocher
	if ($info[hide] == '1'){

	$hide = '<DL class=hidebox><DT class=unhide>HIDE: ON<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.''.trim($link).'<br>'.$quote2;
    }
	$hide .= '</DD></DL>';
	// sinon
	}else{
	$hide = '<DL class=hidebox><DT class=hide>HIDE: OFF<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.''.trim($link).'<br>'.$quote2;
	}
	$hide .= '</DD></DL>';
	}

	echo $hide;
  
		  
	echo '</div></div><br><div style="padding-left:20px; width:97%">';
	echo $color1.'<b>Mot de passe :</b> '.$info[mdp].'<br /><br />'.$color_1;
	
		$total5 += $info[tailletotale];
	echo '<div style="padding-left:20px; width:97%">';
	echo '<font color="red"><b>Total du post:</b> '.$total5.',00 Mo</font><br /><br />';
	echo '</div><br />';
	echo $sample.$merci;
	echo '<div style="padding-left:20px; width:97%">';
	echo '<b><a href="'.$url_default.'index.php"><img src="'.$url_default.'images/generateur.png" alt="'.$team.'" /></a></b>';
	echo '</div>'.$center2;

echo '</textarea></center>';
echo '</fieldset>';
echo '</center>';
}

}else{ 
echo '<meta http-equiv="Refresh" content="0;URL='.$PHP_SELF.'?page=musiques">';
}
?>